package com.community.huiju.controller;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.service.WxLoginServiceI;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @author FXF
 * @date 2019-03-29
 */
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "微信登录 API", description = "微信登录 API")
public class WxLoginController {
	
	@Autowired
	private WxLoginServiceI wxLoginService;
	
	/**
	 * 微信登录
	 */
	@RequestMapping("/wxLogin/{wxcode}")
	public ResponseBean autoLogin(@PathVariable String wxcode, HttpServletRequest request) {
		ResponseBean responseBean = new ResponseBean();
		if (StringUtils.isEmpty(wxcode)){
			responseBean.addError("fail");
			return responseBean;
		}
		//根据wxcode获取openid
		responseBean = wxLoginService.getOpenidByWxcode(wxcode);
		return responseBean;
	}
}
