package com.community.huiju.dao;


import com.community.huiju.model.TaUserVerify;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaUserVerifyMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaUserVerify record);

    int insertSelective(TaUserVerify record);

    TaUserVerify selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaUserVerify record);

    int updateByPrimaryKey(TaUserVerify record);

    /**
     * 根据 用户id 查询房产
     * @param userId
     * @return
     */
    List<TaUserVerify> selectByUserId(@Param("userId") Integer userId);

    /**
     * 根据 用户id、小区id 、 小区、期、栋、单元、楼层、户号 进行条件查询
     * @param communityId
     * @param phaseId
     * @param buildingId
     * @param unitId
     * @param levelId
     * @param roomNoId
     * @return
     */
    TaUserVerify selectCommunityAndAddress(Integer userId,Integer communityId,Integer phaseId,Integer buildingId, Integer unitId,Integer levelId,Integer roomNoId);
}