package com.community.huiju.service.impl;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.dao.TaUserMapper;
import com.community.huiju.model.TaUser;
import com.community.huiju.service.WxLoginServiceI;
import com.github.sd4324530.fastweixin.api.OauthAPI;
import com.github.sd4324530.fastweixin.api.UserAPI;
import com.github.sd4324530.fastweixin.api.config.ApiConfig;
import com.github.sd4324530.fastweixin.api.response.GetUserInfoResponse;
import com.github.sd4324530.fastweixin.api.response.OauthGetTokenResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author FXF
 * @date 2019-03-29
 */
@Service("wxLoginService")
public class WxLoginServiceImpl implements WxLoginServiceI {
	
	private Logger logger = LoggerFactory.getLogger(WxLoginServiceImpl.class);
	
	@Autowired
	private TaUserMapper taUserMapper;
	
	@Override
	public ResponseBean getOpenidByWxcode(String wxcode) {
		ResponseBean responseBean = new ResponseBean();
		ApiConfig apiConfig = new ApiConfig("wx6070fd3e8ef854e4","cb07709de2f05b824f1ebda220684d3b", true);
		logger.info("获取微信相关信息");
		OauthAPI oauthAPI = new OauthAPI(apiConfig);
		OauthGetTokenResponse codeResponse = oauthAPI.getToken(wxcode);
		String openId = codeResponse.getOpenid();
		logger.info("获取到wxcode:" + wxcode + " 获取到的openid: " + openId);
		
		//根据openId查询关联的手机号
		//TaUser taUser = taUserMapper.getByOpenId(openId);

		UserAPI userAPI = new UserAPI(apiConfig);
        GetUserInfoResponse userInfo = userAPI.getUserInfo(openId);
		logger.info(userInfo.getNickname());
		responseBean.addSuccess(userInfo);
		return responseBean;
	}
}
