package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 物业web端活动表
 * </p>
 *
 * @author weiximei
 * @since 2018-12-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_activity")
public class TpActivity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 轮播图
     */
    private String activityCarouselImg;

    /**
     * 活动内容
     */
    private String activityContent;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 报名人数统计
     */
    private Integer signUpCount;

    /**
     * 报名人数上限（0 是无上限）
     */
    private Integer signUpMax;

    /**
     * 查看人数
     */
    private Integer viewCount;

    /**
     * 报名开始时间
     */
    private Date registrationStartTime;

    /**
     * 报名结束时间
     */
    private Date registrationEndTime;

    /**
     * 活动开始时间
     */
    private Date activityStartTime;

    /**
     * 活动结束时间
     */
    private Date activityEndTime;

    /**
     * 0 是已作废 1 是已发布   2 是草稿 3 是已修改
     */
    private String status;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 1为需要，2为不需要
     */
    private String signInCode;


}
