package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 楼栋业主资料信息表
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_building_owner_info")
public class TpBuildingOwnerInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    
    /**
     * 小区id
     */
    private Integer communityId;
    
    /**
     * 身份证号码
     */
    private String idCard;
    
    /**
     * 期区ID
     */
    private Integer phaseId;
    
    /**
     * 期区名称
     */
    private String phaseName;
    
    /**
     * 楼栋ID
     */
    private Integer buildingId;
    
    /**
     * 楼栋姓名
     */
    private String buildingName;
    
    /**
     * 单元ID
     */
    private Integer unitId;
    
    /**
     * 单元名称
     */
    private String unitName;
    
    /**
     * 楼层ID
     */
    private Integer levelId;
    
    /**
     * 楼层名字
     */
    private String levelName;
    
    /**
     * 户号
     */
    private String name;
    
    /**
     * 业主姓名
     */
    private String ownerName;
    
    /**
     * 业主手机号
     */
    private String ownerTel;
    
    /**
     * 性别 1：男   2：女
     */
    private String gender;
    
    /**
     * 关联状态   0 未关联  1 是已关联
     */
    private String pairStatus;
    
    /**
     * 认证状态  0 是未认证    1是认证通过   2是已作废
     */
    private String verifyStatus;
    
    /**
     * 创建人
     */
    private Integer createUser;
    
    /**
     * 创建时间
     */
    private LocalDateTime createDate;
    
    /**
     * 更新人
     */
    private Integer updateUser;
    
    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

}
