import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import user from './modules/user'
import banner from './modules/banner'
import community from './modules/community'
import trunkIndex from './modules/trunkIndex'
import batchImport from './modules/batchImport'
import transaction from './modules/transaction'
import getters from './getters'
import announcement from './modules/announcement'
import buildingOwnerInfo from './modules/buildingOwnerInfo'
import activity from './modules/activity'
import role from './modules/role'
import billInvoice from './modules/billInvoice'
import ticket from './modules/ticket'
import bill from './modules/bill'
import billStatement from './modules/billStatement'
import tels from './modules/tels'
import menu from './modules/menu'
import message from './modules/message'
import buildingTree from './modules/buildingTree'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    user,
    community,
    banner,
    trunkIndex,
    batchImport,
    buildingOwnerInfo,
    announcement,
    activity,
    transaction,
    role,
    billInvoice,
    ticket,
    bill,
    billStatement,
    tels,
    menu,
    message,
    buildingTree
  },
  getters
})

export default store
