
import { buildingAddress, buildingList, deleteBuilding, addBuilding, updateBuilding, getByIdBuildingId, userPassCertification, updataPassCertification, communityBuildinglist, buildingHouse, communityBuildingAdd, buildingDownloadExcel } from '@/api/buildingOwnerInfo'

const buildingOwnerInfo = {
  state: {
    list: ''
  },
  mutations: {
    SET_LIST: (data) => {
      this.state.list = data
    }
  },
  actions: {
    BuildingAddress({ commit }, data) { // 查询 楼栋/单元/楼层/户号
      return new Promise((resolve, reject) => {
        buildingAddress(data).then(response => {
          // console.log('查询 楼栋/单元/楼层/户号: ', response)
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    BuildingInfoList({ commit }, data) { // 根据条件查询 楼栋信息库
      return new Promise((resolve, reject) => {
        buildingList(data).then(response => {
          // const data = response.data
          // commit('SET_LIST', data)
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    UserPassCertification({ commit }, data) { // 查询已认证的
      return new Promise((resolve, reject) => {
        userPassCertification(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },

    DeleteBuilding({ commit }, data) { // 批量删除
      return new Promise((resolve, reject) => {
        deleteBuilding(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    UpdataPassCertification({ commit }, data) { // 查询已认证的
      return new Promise((resolve, reject) => {
        updataPassCertification(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    UpdateBuilding({ commit }, data) { // 修改楼栋业主信息
      return new Promise((resolve, reject) => {
        updateBuilding(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    AddBuilding({ commit }, data) { // 修改楼栋业主信息
      return new Promise((resolve, reject) => {
        addBuilding(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    GetByIdBuildingId({ commit }, data) { // 根据楼栋信息id查询
      return new Promise((resolve, reject) => {
        getByIdBuildingId(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    CommunityBuildinglist({ commit }, data) {
      return new Promise((resolve, reject) => {
        communityBuildinglist(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    BuildingHouse({ commit }, data) { // 小区楼栋资料 查询 楼栋/单元/楼层/户号
      return new Promise((resolve, reject) => {
        buildingHouse(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    CommunityBuildingAdd({ commit }, data) { // 小区楼栋资料 修改 楼栋/单元/楼层/户号
      return new Promise((resolve, reject) => {
        communityBuildingAdd(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    BuildingDownloadExcel({ commit }) { // 下载模板
      return new Promise((resolve, reject) => {
        buildingDownloadExcel().then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}
export default buildingOwnerInfo
